Find webhook_delivery details by ID
Provides webhook_delivery debug data, such as timestamps, delivery status and attempts.
GET
/
webhook_deliveries
/
{id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const webhookDelivery = await client.webhookDeliveries.retrieve(
'C9C0797E-901D-4349-A33C-C2C8F31A92C2',
);
console.log(webhookDelivery.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
webhook_delivery = client.webhook_deliveries.retrieve(
"C9C0797E-901D-4349-A33C-C2C8F31A92C2",
)
print(webhook_delivery.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
webhookDelivery, err := client.WebhookDeliveries.Get(context.TODO(), "C9C0797E-901D-4349-A33C-C2C8F31A92C2")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", webhookDelivery.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.webhookdeliveries.WebhookDeliveryRetrieveParams;
import com.telnyx.sdk.models.webhookdeliveries.WebhookDeliveryRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
WebhookDeliveryRetrieveResponse webhookDelivery = client.webhookDeliveries().retrieve("C9C0797E-901D-4349-A33C-C2C8F31A92C2");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
webhook_delivery = telnyx.webhook_deliveries.retrieve("C9C0797E-901D-4349-A33C-C2C8F31A92C2")
puts(webhook_delivery)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$webhookDelivery = $client->webhookDeliveries->retrieve(
'C9C0797E-901D-4349-A33C-C2C8F31A92C2'
);
var_dump($webhookDelivery);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx webhook-deliveries retrieve \
--api-key 'My API Key' \
--id C9C0797E-901D-4349-A33C-C2C8F31A92C2curl --request GET \
--url https://api.telnyx.com/v2/webhook_deliveries/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "f5586561-8ff0-4291-a0ac-84fe544797bd",
"user_id": "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
"record_type": "webhook_delivery",
"webhook": {
"record_type": "event",
"id": "C9C0797E-901D-4349-A33C-C2C8F31A92C2",
"event_type": "call_initiated",
"occurred_at": "2020-08-10T13:02:01.000Z",
"payload": {
"useful": "information"
}
},
"started_at": "2020-08-10T14:00:00.000Z",
"finished_at": "2020-08-10T14:00:05.595Z",
"attempts": [
{
"status": "delivered",
"started_at": "2020-08-10T14:00:05.364Z",
"finished_at": "2020-08-10T14:00:05.595Z",
"http": {
"request": {
"url": "https://fallback.example.com/webhooks",
"headers": [
[
"Accept",
"*/*"
]
]
},
"response": {
"status": 200,
"headers": [
[
"Content-Type",
"text/html"
]
],
"body": "All good."
}
}
},
{
"status": "failed",
"started_at": "2020-08-10T14:00:05.004Z",
"finished_at": "2020-08-10T14:00:05.360Z",
"http": {
"request": {
"url": "https://typo.example.com/webhooks",
"headers": [
[
"Accept",
"*/*"
]
]
},
"response": {
"status": 404,
"headers": [
[
"Content-Type",
"text/html"
],
[
"Pragma",
"no-cache"
]
],
"body": "Oops. Not found."
}
},
"errors": [
75499
]
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Uniquely identifies the webhook_delivery.
Example:
"C9C0797E-901D-4349-A33C-C2C8F31A92C2"
Response
Webhook delivery record.
Record of all attempts to deliver a webhook.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const webhookDelivery = await client.webhookDeliveries.retrieve(
'C9C0797E-901D-4349-A33C-C2C8F31A92C2',
);
console.log(webhookDelivery.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
webhook_delivery = client.webhook_deliveries.retrieve(
"C9C0797E-901D-4349-A33C-C2C8F31A92C2",
)
print(webhook_delivery.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
webhookDelivery, err := client.WebhookDeliveries.Get(context.TODO(), "C9C0797E-901D-4349-A33C-C2C8F31A92C2")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", webhookDelivery.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.webhookdeliveries.WebhookDeliveryRetrieveParams;
import com.telnyx.sdk.models.webhookdeliveries.WebhookDeliveryRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
WebhookDeliveryRetrieveResponse webhookDelivery = client.webhookDeliveries().retrieve("C9C0797E-901D-4349-A33C-C2C8F31A92C2");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
webhook_delivery = telnyx.webhook_deliveries.retrieve("C9C0797E-901D-4349-A33C-C2C8F31A92C2")
puts(webhook_delivery)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$webhookDelivery = $client->webhookDeliveries->retrieve(
'C9C0797E-901D-4349-A33C-C2C8F31A92C2'
);
var_dump($webhookDelivery);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx webhook-deliveries retrieve \
--api-key 'My API Key' \
--id C9C0797E-901D-4349-A33C-C2C8F31A92C2curl --request GET \
--url https://api.telnyx.com/v2/webhook_deliveries/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "f5586561-8ff0-4291-a0ac-84fe544797bd",
"user_id": "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
"record_type": "webhook_delivery",
"webhook": {
"record_type": "event",
"id": "C9C0797E-901D-4349-A33C-C2C8F31A92C2",
"event_type": "call_initiated",
"occurred_at": "2020-08-10T13:02:01.000Z",
"payload": {
"useful": "information"
}
},
"started_at": "2020-08-10T14:00:00.000Z",
"finished_at": "2020-08-10T14:00:05.595Z",
"attempts": [
{
"status": "delivered",
"started_at": "2020-08-10T14:00:05.364Z",
"finished_at": "2020-08-10T14:00:05.595Z",
"http": {
"request": {
"url": "https://fallback.example.com/webhooks",
"headers": [
[
"Accept",
"*/*"
]
]
},
"response": {
"status": 200,
"headers": [
[
"Content-Type",
"text/html"
]
],
"body": "All good."
}
}
},
{
"status": "failed",
"started_at": "2020-08-10T14:00:05.004Z",
"finished_at": "2020-08-10T14:00:05.360Z",
"http": {
"request": {
"url": "https://typo.example.com/webhooks",
"headers": [
[
"Accept",
"*/*"
]
]
},
"response": {
"status": 404,
"headers": [
[
"Content-Type",
"text/html"
],
[
"Pragma",
"no-cache"
]
],
"body": "Oops. Not found."
}
},
"errors": [
75499
]
}
]
}
}